> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# Get Company Details

GET https://api-b2b.bigcommerce.com/api/v3/io/companies/{companyId}

Returns detailed information for a specific Company account.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/b2b/management/company/companies/get-companies-company-id

## Authentication

- `X-Auth-Token` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
- `X-Store-Hash` header (required) — | Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

## Request

### Path parameters

- `companyId` (integer, required) — Unique numeric ID of the Company account.

## Response

### 200

OK

- `code` (double, optional)
- `data` (CompaniesCompanyIdGetResponsesContentApplicationJsonSchemaData, optional)
- `meta` (CompaniesCompanyIdGetResponsesContentApplicationJsonSchemaMeta, optional)

## Errors

### 404 Not Found Error

Not Found

- `code` (double, optional)
- `data` (CompaniesCompanyIdGetResponsesContentApplicationJsonSchemaData, optional)
- `meta` (CompaniesCompanyIdGetResponsesContentApplicationJsonSchemaMeta, optional)

## Types

### CompaniesCompanyIdGetResponsesContentApplicationJsonSchemaData

### CompaniesCompanyIdGetResponsesContentApplicationJsonSchemaMeta

- `message` (string, optional)

## Examples

**Response**

```json
{
  "code": 1.1,
  "data": {
    "bcGroupId": "123",
    "bcGroupName": "Tier 3 B2B Clients",
    "catalogId": "123456",
    "catalogName": "string",
    "companyEmail": "admin@greatbuys.com",
    "companyId": 123456,
    "companyName": "Great Buys Inc.",
    "companyPhone": "8001234567",
    "companyStatus": "1",
    "createdAt": "1618794615",
    "extraFields": [
      {
        "dataType": "0",
        "fieldName": "Customer Tax Code",
        "fieldType": 1,
        "fieldValue": "Code G",
        "isRequired": "0",
        "labelName": "Customer Tax Code"
      }
    ],
    "parentCompany": {
      "id": 123456,
      "name": "Great Buys Inc"
    },
    "priceListAssign": [
      {
        "channelId": 10001234,
        "channelName": "My BigCommerce Store",
        "priceListId": 123456,
        "priceListName": "Tier 3 B2B Pricing"
      }
    ],
    "updatedAt": "1618794615",
    "uuid": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
  },
  "meta": {
    "message": "string"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api-b2b.bigcommerce.com/api/v3/io/companies/123456"

headers = {"X-Auth-Token": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api-b2b.bigcommerce.com/api/v3/io/companies/123456';
const options = {method: 'GET', headers: {'X-Auth-Token': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api-b2b.bigcommerce.com/api/v3/io/companies/123456"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api-b2b.bigcommerce.com/api/v3/io/companies/123456")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api-b2b.bigcommerce.com/api/v3/io/companies/123456")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api-b2b.bigcommerce.com/api/v3/io/companies/123456', [
  'headers' => [
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api-b2b.bigcommerce.com/api/v3/io/companies/123456");
var request = new RestRequest(Method.GET);
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["X-Auth-Token": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api-b2b.bigcommerce.com/api/v3/io/companies/123456")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```